# Packmangroup: Multimedia
# Packmanpackagename: 3gpwiz
# Packman: Manfred Tremmel

# norootforbuild

Name:           3gpwiz
Summary:        3gp movie wizard to convert videos to 3gp format
Summary(de):    3gp movie wizard ist ein Grafische Oberfläche zum konvertieren von Videos ins 3gp Format
Version:        1.3
Release:        pm153.5.4
License: GPL-2.0
Group:          Productivity/Multimedia/Video/Editors and Convertors
URL:            http://kde-apps.org/content/show.php?content=35274

Source0:        35274-3gpwiz.tar.bz2
Source1:        3gpwiz.png

Patch0:         3gpwiz_path.patch
Patch1:         3gpwiz_ffmpeg.patch
Vendor:         Packman
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}
BuildArch:      noarch
Requires:       kdewebdev3
Requires:       ffmpeg >= 0.5
Requires:       MPlayer
Requires:       perl
Requires:       dejavu
BuildRequires:  update-desktop-files

%description
3gp movie wizard is a GUI frontend using ffmpeg to convert videos to 3gp format

%description -l de
3gp movie wizard ist ein GUI Frontend für ffmpeg zum Konvertieren von videos ins 3gp Format

%prep
%setup -n %{name}
%patch0 -p1
%patch1 -p0

%build
echo "#!/bin/bash" > findcrop_x
cat findcrop >> findcrop_x
rm findcrop
mv findcrop_x findcrop
sed -i -e "s/Icon=smart_media_unmount.png/Icon=3gpwiz/g" 3gpwiz.desktop
sed -i -e "s/Icon=smart_media_unmount.png/Icon=3gpwiz/g" 3gpwiz2.desktop

%install
%{__mkdir_p} %{buildroot}%{_bindir}
%{__install} -m 755 3gpwiz %{buildroot}%{_bindir}/3gpwiz
%{__mkdir_p} %{buildroot}%{_datadir}/3gpwiz/
%{__install} -m 644 3gpwiz.kmdr %{buildroot}%{_datadir}/3gpwiz/
%{__install} -m 644 splash.kmdr %{buildroot}%{_datadir}/3gpwiz/
%{__install} -m 644 side.jpg %{buildroot}%{_datadir}/3gpwiz/
%{__install} -m 644 3gpwiz.jpg %{buildroot}%{_datadir}/3gpwiz/
%{__install} -m 755 findcrop %{buildroot}%{_datadir}/3gpwiz/
%{__mkdir_p} %{buildroot}/opt/kde3/share/apps/konqueror/servicemenus/
%{__install} -m 644 3gpwiz.desktop %{buildroot}/opt/kde3/share/apps/konqueror/servicemenus/
%{__install} -m 644 3gpwiz-quick.desktop %{buildroot}/opt/kde3/share/apps/konqueror/servicemenus/
mv 3gpwiz.desktop 3gpwizx.desktop
mv 3gpwiz2.desktop 3gpwiz.desktop
%{__mkdir_p} %{buildroot}%{_datadir}/applications
%{__install} -m 644 3gpwiz.desktop %{buildroot}%{_datadir}/applications/3gpwiz.desktop
%suse_update_desktop_file -i 3gpwiz        AudioVideo AudioVideoEditing
%{__mkdir_p} %{buildroot}%{_datadir}/pixmaps
%{__install} -m 644 %{S:1} %{buildroot}%{_datadir}/pixmaps/

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README
%dir %{_datadir}/3gpwiz
%{_datadir}/3gpwiz/*
%{_datadir}/applications/3gpwiz.desktop
%{_datadir}/pixmaps/3gpwiz.png
%{_bindir}/3gpwiz
%dir /opt/kde3
%dir /opt/kde3/share
%dir /opt/kde3/share/apps
%dir /opt/kde3/share/apps/konqueror
%dir /opt/kde3/share/apps/konqueror/servicemenus
/opt/kde3/share/apps/konqueror/servicemenus/3gpwiz*.desktop

%changelog
* Sat Sep 12 2009 Manfred Tremmel <Manfred.Tremmel@iiv.de> - 1.3-1.pm.1
- cleanups where rpmlint wasn't so happy
* Wed Aug 15 2007 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- another ffmpeg patch
* Sun Sep 24 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- added a patch for new ffmpeg version
* Thu Jun 15 2006 Manfred Tremmel <Manfred.Tremmel@iiv.de>
- first release
